package domain


type AlibabaWdkSupplierOrderGetSubOrderSyncDto struct {
    /*
        会员优惠金额     */
    MemberDiscountAmt  *int64 `json:"member_discount_amt,omitempty" `

    /*
        优惠金额     */
    PromotionDiscountAmt  *int64 `json:"promotion_discount_amt,omitempty" `

    /*
        原价     */
    OriginalAmt  *int64 `json:"original_amt,omitempty" `

    /*
        商品单价     */
    Price  *int64 `json:"price,omitempty" `

    /*
        履约时间     */
    StatusChangeTime  *string `json:"status_change_time,omitempty" `

    /*
        子订单状态     */
    OrderStatus  *string `json:"order_status,omitempty" `

    /*
        淘鲜达分摊金额     */
    TxdPmtAmt  *int64 `json:"txd_pmt_amt,omitempty" `

    /*
        订单类型  COMMON，GIFT     */
    OrderType  *string `json:"order_type,omitempty" `

    /*
        购买库存单位数量     */
    BuyAmountStock  *string `json:"buy_amount_stock,omitempty" `

    /*
        拣货金额     */
    PickAmt  *int64 `json:"pick_amt,omitempty" `

    /*
        拣货库存单位数量     */
    PickAmountStock  *string `json:"pick_amount_stock,omitempty" `

    /*
        外部订单号     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        淘宝订单号     */
    TbBizOrderId  *int64 `json:"tb_biz_order_id,omitempty" `

    /*
        盒马订单号     */
    BizOrderId  *int64 `json:"biz_order_id,omitempty" `

    /*
        售卖单位     */
    SaleUnit  *string `json:"sale_unit,omitempty" `

    /*
        库存单位     */
    StockUnit  *string `json:"stock_unit,omitempty" `

    /*
        扩展属性map     */
    TradeSubAttributes  *string `json:"trade_sub_attributes,omitempty" `

    /*
        sku码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        外部sku码     */
    OutSkuCode  *string `json:"out_sku_code,omitempty" `

    /*
        优惠明细字段，json格式的字符串     */
    PromotionInfo  *string `json:"promotion_info,omitempty" `

}

func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetMemberDiscountAmt(v int64) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.MemberDiscountAmt = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetPromotionDiscountAmt(v int64) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.PromotionDiscountAmt = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetOriginalAmt(v int64) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.OriginalAmt = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetPrice(v int64) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.Price = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetStatusChangeTime(v string) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.StatusChangeTime = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetOrderStatus(v string) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.OrderStatus = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetTxdPmtAmt(v int64) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.TxdPmtAmt = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetOrderType(v string) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.OrderType = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetBuyAmountStock(v string) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.BuyAmountStock = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetPickAmt(v int64) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.PickAmt = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetPickAmountStock(v string) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.PickAmountStock = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetOutOrderId(v string) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetTbBizOrderId(v int64) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.TbBizOrderId = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetBizOrderId(v int64) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetSaleUnit(v string) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.SaleUnit = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetStockUnit(v string) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.StockUnit = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetTradeSubAttributes(v string) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.TradeSubAttributes = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetSkuCode(v string) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetOutSkuCode(v string) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.OutSkuCode = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetSubOrderSyncDto) SetPromotionInfo(v string) *AlibabaWdkSupplierOrderGetSubOrderSyncDto {
    s.PromotionInfo = &v
    return s
}
